#import "ViewController.h"

@interface ViewController ()
{
    IGChartView *_chart;
    IGCategorySeriesDataSourceHelper *_dsh;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    NSArray *values = @[@4,@2,@5,@6,@2,@3,@7,@4,@3,@1];
    NSArray *labels = @[@"item1", @"item2", @"item3", @"item4", @"item5", @"item6", @"item7", @"item8", @"item9", @"item10",];
    
    _dsh = [[IGCategorySeriesDataSourceHelper alloc]initWithValues:values];
    _dsh.labels = labels;
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.frame];
    _chart.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
    _chart.delegate = self;
    
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    
    [self.view addSubview:_chart];
}

-(NSString *)chartView:(IGChartView *)chartView labelForAxis:(IGAxis *)axis withItem:(NSObject *)item oldLabel:(nonnull NSString *)oldLabel
{
    if ([axis isKindOfClass:[IGCategoryXAxis class]])
    {
        NSUInteger labelIndex = [[_chart findSeriesByKey:@"series"].dataPoints indexOfObject:(IGCategoryPoint*)item];
        if (labelIndex == 5)
        {
            return @"custom label";
        }
        return oldLabel;
    }
    return  oldLabel;
}

@end
